YouTube Downloader API
POST
/list-channel

Authorization

bearerAuth
AuthorizationBearer <token>

API key issued from the dashboard, sent as Authorization: Bearer YOUR_API_KEY.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://youtube-download-api.org/api/v2/list-channel" \  -H "Content-Type: application/json" \  -d '{    "channelUrl": "https://www.youtube.com/@RickAstleyYT"  }'
{
  "id": "string",
  "title": "string",
  "channel": "string",
  "channel_id": "string",
  "channel_url": "string",
  "entries": [
    {
      "id": "string",
      "title": "string",
      "url": "string",
      "duration": 0,
      "view_count": 0,
      "uploader": "string"
    }
  ]
}

{
  "error": "Missing required field: url"
}

{
  "error": "Missing API key. Provide it as 'Bearer YOUR_API_KEY'"
}

{
  "error": "Failed to enqueue download job"
}